'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _invariant = require('invariant');

var _invariant2 = _interopRequireDefault(_invariant);

var _moltres = require('moltres');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var MoltresReactInjection = function () {
  function MoltresReactInjection() {
    _classCallCheck(this, MoltresReactInjection);
  }

  _createClass(MoltresReactInjection, null, [{
    key: 'inject',
    value: function inject(engine) {
      (0, _invariant2.default)(!MoltresReactInjection.injected, 'MoltresReactInjection: Cannot inject MoltresReact twice');
      MoltresReactInjection.injected = true;
      engine.injection.injectDriverFactory(_moltres.DriverFactory);
      engine.injection.injectDriverRegistry(_moltres.DriverRegistry);
      engine.injection.injectSchemaCache(_moltres.SchemaCache);
    }
  }]);

  return MoltresReactInjection;
}();

MoltresReactInjection.injected = false;
exports.default = MoltresReactInjection;
//# sourceMappingURL=MoltresReactInjection.js.map
